Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.accounting
Interface AccountEntry

public interface AccountEntry
extends Entity

An Account Entry is synonymous with a transaction. In most cases it records the movement of an entity from one account to another. In such cases the Account Entry is shared by the two accounts involved in the transaction. In cases where it is associated with a single account it records the entry, or exit, of the entity into, or from, the accounting system. Each AccountEntry includes two separate dates. The booked date is the date on which the transaction was initially recorded. The charged date represents the successful completion of the transaction.

     Primary Key = theory.smart.axiom.accounting.AccountEntryPk

                      identifier
     [AccountEntry] <*>------> [String] (Primary Key)

                      booked
     [AccountEntry] <*>------> [java.sql.Date]

                      charged
     [AccountEntry] <*>------> [java.sql.Date]

                      memo
     [AccountEntry] <*>------> [String]

                      amount
     [AccountEntry] <*>------> [theory.smart.axiom.units.Quantity]

                      from
     [AccountEntry] <>------> [theory.smart.axiom.accounting.Account]

                      to
     [AccountEntry] <>------> [theory.smart.axiom.accounting.Account]

See Also:
  `AccountEntryPk`, `AccountEntryHome`, `AccountEntryImpl`, `AccountEntryValue`

Method Summary
`void` | `charge()` Note that at the current date and time the transaction was completed.
`void` | `charge(java.sql.Date date)` Note that at the specified date and time the transaction was completed.
`AccountEntryValue` | `getAccountEntryByValue()` Get all of AccountEntry's attributes.
`Quantity` | `getAmount()` Get the value of amount
`java.sql.Date` | `getBooked()` Get the value of booked
`java.sql.Date` | `getCharged()` Get the value of charged
`Account` | `getFrom()` Get the remote object reference of from
`java.lang.String` | `getIdentifier()`
`java.lang.String` | `getMemo()` Get the value of memo
`Account` | `getTo()` Get the remote object reference of to
`void` | `setAccountEntryByValue(AccountEntryValue value)` Set all of AccountEntry's attributes to the passed in value.
`void` | `setAmount(Quantity amount)` Set the value of amount
`void` | `setBooked(java.sql.Date booked)` Set the value of booked
`void` | `setCharged(java.sql.Date charged)` Set the value of charged
`void` | `setFrom(Account from)` Set the remote object reference of from
`void` | `setMemo(java.lang.String memo)` Set the value of memo
`void` | `setTo(Account to)` Set the remote object reference of to

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getAccountEntryByValue

    public AccountEntryValue getAccountEntryByValue()
                                             throws java.rmi.RemoteException

  Get all of AccountEntry's attributes.
  Returns:
    AccountEntryValue the AccountEntry value object

### setAccountEntryByValue

    public void setAccountEntryByValue(AccountEntryValue value)
                                throws java.rmi.RemoteException

  Set all of AccountEntry's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `AccountEntryValue` - the AccountEntry value object

### getIdentifier

    public java.lang.String getIdentifier()
                                   throws java.rmi.RemoteException

### getBooked

    public java.sql.Date getBooked()
                            throws java.rmi.RemoteException

  Get the value of booked
  Returns:
    booked.

### setBooked

    public void setBooked(java.sql.Date booked)
                   throws java.rmi.RemoteException

  Set the value of booked
  Parameters:
    `bookeds` - booked to be added

### getCharged

    public java.sql.Date getCharged()
                             throws java.rmi.RemoteException

  Get the value of charged
  Returns:
    charged.

### setCharged

    public void setCharged(java.sql.Date charged)
                    throws java.rmi.RemoteException

  Set the value of charged
  Parameters:
    `chargeds` - charged to be added

### getMemo

    public java.lang.String getMemo()
                             throws java.rmi.RemoteException

  Get the value of memo
  Returns:
    memo.

### setMemo

    public void setMemo(java.lang.String memo)
                 throws java.rmi.RemoteException

  Set the value of memo
  Parameters:
    `memos` - memo to be added

### getAmount

    public Quantity getAmount()
                       throws java.rmi.RemoteException

  Get the value of amount
  Returns:
    amount.

### setAmount

    public void setAmount(Quantity amount)
                   throws java.rmi.RemoteException

  Set the value of amount
  Parameters:
    `amounts` - amount to be added

### getFrom

    public Account getFrom()
                    throws java.rmi.RemoteException

  Get the remote object reference of from
  Returns:
    from.

### setFrom

    public void setFrom(Account from)
                 throws java.rmi.RemoteException

  Set the remote object reference of from
  Parameters:
    `froms` - from to be added

### getTo

    public Account getTo()
                  throws java.rmi.RemoteException

  Get the remote object reference of to
  Returns:
    to.

### setTo

    public void setTo(Account to)
               throws java.rmi.RemoteException

  Set the remote object reference of to
  Parameters:
    `tos` - to to be added

### charge

    public void charge()
                throws java.rmi.RemoteException

  Note that at the current date and time the transaction was completed.

### charge

    public void charge(java.sql.Date date)
                throws java.rmi.RemoteException

  Note that at the specified date and time the transaction was completed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.